---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: worker
  namespace: transmittal
spec:
  values:
    services:
      worker:
        envs:
          - name: TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__BASE_URL
            value:
              _default: "http://backend-svc.flows.svc.cluster.local:8000"

          - name: TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__TIMEOUT
            value:
              _default: "30"

          - name: TRANSMITTAL_SERVICE_APP__NAME
            value:
              _default: "Transmittal Service"

          - name: TRANSMITTAL_SERVICE_APP__LOG_LEVEL
            value:
              _default: "ERROR"

          - name: TRANSMITTAL_SERVICE_APP__HOST
            value:
              _default: "https://lk.srx.wb.ru:30443/transmittal"

          - name: TRANSMITTAL_SERVICE_APP__ENVIRONMENT
            value:
              _default: "prod"

          - name: TRANSMITTAL_SERVICE_CORS__ALLOW_ORIGINS
            value:
              _default: '["*"]'

          - name: TRANSMITTAL_SERVICE_CORS__ALLOW_METHODS
            value:
              _default: '["*"]'

          - name: TRANSMITTAL_SERVICE_CORS__ALLOW_HEADERS
            value:
              _default: '["*"]'

          - name: TRANSMITTAL_SERVICE_CORS__ALLOW_CREDENTIALS
            value:
              _default: "true"

          - name: TRANSMITTAL_SERVICE_UVICORN__HOST
            value:
              _default: "0.0.0.0"

          - name: TRANSMITTAL_SERVICE_UVICORN__PORT
            value:
              _default: "8000"

          - name: TRANSMITTAL_SERVICE_UVICORN__ENABLE_AUTO_RELOAD
            value:
              _default: "false"

          - name: TRANSMITTAL_SERVICE_OTEL__ENABLE
            value:
              _default: "false"

          - name: TRANSMITTAL_SERVICE_OTEL__HOST
            value:
              _default: "http://signoz-otel-collector-external.signoz.svc.cluster.local:4317"

          - name: TRANSMITTAL_SERVICE_OTEL__SERVICE_NAME
            value:
              _default: "backend.transmittals-prod"

          - name: TRANSMITTAL_SERVICE_OTEL__INSECURE
            value:
              _default: "false"

          - name: TRANSMITTAL_SERVICE_DATABASE__SSL_MODE
            value:
              _default: "verify-full"

          - name: TRANSMITTAL_SERVICE_DATABASE__SSL_ROOT_CERT_PATH
            value:
              _default: "/opt/.postgresql/root.crt"

          - name: TRANSMITTAL_SERVICE_UVICORN__LOG_LEVEL
            value:
              _default: "info"

          - name: TRANSMITTAL_SERVICE_UVICORN__NUM_WORKERS
            value:
              _default: "2"

          - name: TRANSMITTAL_SERVICE_UVICORN__ROOT_PATH
            value:
              _default: ""

          - name: TRANSMITTAL_SERVICE_DATABASE__ENABLE_SSL
            value:
              _default: "false"

          - name: TRANSMITTAL_SERVICE_RABBITMQ__HOST
            value:
              _default: "rabbitmq.rabbitmq.svc.cluster.local"

          - name: TRANSMITTAL_SERVICE_RABBITMQ__PORT
            value:
              _default: "5672"

          - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__BASE_URL
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__TIMEOUT
            value:
              _default: "15"

          - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__BASE_URL
            value:
              _default: "http://resources-service.resources.svc.cluster.local:8000"

          - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__TIMEOUT
            value:
              _default: "15"

          - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__BASE_URL
            value:
              _default: "http://backend-api-svc.documentations.svc.cluster.local:80"

          - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__TIMEOUT
            value:
              _default: "15"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__MAX_POOL_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__CONNECT_TIMEOUT
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__READ_TIMEOUT
            value:
              _default: "50"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__REGION_NAME
            value:
              _default: "ru-central1"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__VERIFY
            value:
              _default: "true"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__ENDPOINT
            value:
              _default: "s3.uralmine.com"

          - name: TRANSMITTAL_SERVICE_S3_CLIENT__USE_SSL
            value:
              _default: "true"

          - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__BASE_URL
            value:
              _default: "http://export-project-service.django.svc.cluster.local:8000"

          - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__TIMEOUT
            value:
              _default: "50"

          - name: TRANSMITTAL_SERVICE_MARKINGS__BASE_URL
            value:
              _default: "http://marks-service.documentations.svc.cluster.local:8000"

          - name: TRANSMITTAL_SERVICE_MARKINGS__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_MARKINGS__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_MARKINGS__TIMEOUT
            value:
              _default: "50"

          - name: TRANSMITTAL_SERVICE_MAILGUN__BASE_URL
            value:
              _default: "https://api.mailgun.net/v3/mg.sarex.io"

          - name: TRANSMITTAL_SERVICE_MAILGUN__MAX_CONNECTIONS
            value:
              _default: "10"

          - name: TRANSMITTAL_SERVICE_MAILGUN__MAX_KEEPALIVE_CONNECTIONS
            value:
              _default: "5"

          - name: TRANSMITTAL_SERVICE_MAILGUN__TIMEOUT
            value:
              _default: "15"

          - name: TRANSMITTAL_SERVICE_MAILGUN__EMAIL
            value:
              _default: "hello@wb.io"

        podAnnotations:
          _default:
            vault.hashicorp.com/agent-inject-secret-transmittal-s3: secrets/data/minio/apps/transmittal
            vault.hashicorp.com/agent-inject-template-transmittal-s3: |-
              {{- with secret "secrets/data/minio/apps/transmittal" -}}
              TRANSMITTAL_SERVICE_S3_CLIENT__ACCESS_KEY={{ index .Data.data "access_key" }}
              TRANSMITTAL_SERVICE_S3_CLIENT__SECRET_KEY={{ index .Data.data "secret_key" }}
              TRANSMITTAL_SERVICE_S3_CLIENT__DEFAULT_BUCKET=sarex-tf-state
              {{- end -}}
